Subject: Re: bug#36127: 26.1, openbsd-6.5; org-9.2.3 package fails to install

From: Stefan Kangas <[email-masked]>
Date: Fri, 11 Oct 2019 15:43:42 +0200

VanL <[email-masked]> writes:

> In the above I report I used M-x list-packages; in the following, I use
> M-x package-list-packages
>
> 0. mv .emacs.d __dot_emacs_d__
> 1. emacs -Q
> 2. M-x package-list-packages
>
> #+BEGIN_EXAMPLE
> Failed to verify signature archive-contents.sig:
> No public key for 066DAFCB81E42C40 created at 2019-10-11T08:10:02+1100 using RSA
> Command output:
> gpg: Signature made Fri Oct 11 08:10:02 2019 AEDT
> gpg:                using RSA key C433554766D3DDC64221BFAA066DAFCB81E42C40
> gpg: Can't check signature: No public key
>
> #+END_EXAMPLE
>
> The version details are:
> GNU Emacs 26.1 (build 1, i386-unknown-openbsd, GTK+ Version 3.24.7)
>  of 2019-04-15

This is due to the new GNU ELPA key, I think.  See:
https://emacs.stackexchange.com/questions/233/how-to-proceed-on-package-el-signature-check-failure/52823#52823

Could you try to reproduce this on Emacs 26.3 instead?  Or
alternatively fix the local key ring in your installation as per the
instructions in the link above, and then try again?

Best regards,
Stefan Kangas